Skip to content
PATCH /unified/knowledge-base/pages/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

parentobject

The parent of the page

1 supported
Confluence
supported
idstring
required·

The unique identifier for the parent page

typestring

The type of the parent

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

statusstring

The status of the page

Possible values:
draftpublishedarchiveddeleteddraftpublished
1 supported
Confluence
supported
draftpublished
titlestring

The title of the page

1 supported
Confluence
supported

Response Body

idstring
required·

The unique identifier for the page

1 supported
Confluence
supported
collectionobject

The collection the page belongs to

idstring

The unique identifier for the collection

created_atstring · date-time

The date and time the page was created

1 supported
Confluence
supported
created_byobject

The user who created the page

1 supported
Confluence
supported
emailsobject[]

The emails of the user

3 properties
emailstring

The email of the user

is_primaryboolean

Whether the email is the primary email of the user

typestring

The type of the email

Possible values:
workhomeother
idstring

The unique identifier for the user

namestring

The name of the user

descriptionstring

The description of the page

last_edited_byobject

The user who last edited the page

1 supported
Confluence
supported
emailsobject[]

The emails of the user

3 properties
emailstring

The email of the user

is_primaryboolean

Whether the email is the primary email of the user

typestring

The type of the email

Possible values:
workhomeother
idstring

The unique identifier for the user

namestring

The name of the user

page_typestring

The type of the page

Possible values:
landing-pagessite-pagesblog-postspagedatabase
parentobject

The parent of the page

1 supported
Confluence
supported
idstring

The unique identifier for the parent page

typestring

The type of the parent

published_atstring · date-time

The date and time the page was published

remote_dataRecord<string, any>

Raw data returned from the remote API call.

spaceobject

The space the page belongs to

1 supported
Confluence
supported
idstring

The unique identifier for the space

statusstring

The status of the page

Possible values:
draftpublishedarchiveddeleted
1 supported
Confluence
supported
tagsstring[]

The tags associated with the page

1 supported
Confluence
supported
titlestring

The title of the page

1 supported
Confluence
supported
updated_atstring · date-time

The date and time the page was last updated

1 supported
Confluence
supported
urlsobject[]

The urls of the page

1 supported
Confluence
supported
typestring

The type of the url

Possible values:
vieweditpublic_view
urlstring

The url of the page

visibilitystring

The visibility of the page

Possible values:
privatepublic
curl -X PATCH 'https://api.truto.one/unified/knowledge-base/pages/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "your_title",
  "status": "draft",
  "parent": {},
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "title": "your_title",
  "status": "draft",
  "parent": {},
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/knowledge-base/pages/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/knowledge-base/pages/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "title": "your_title",
    "status": "draft",
    "parent": {},
    "remote_data": {}
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.update(
  'knowledge-base',
  'pages',
  '<resource_id>',
  {
  "title": "your_title",
  "status": "draft",
  "parent": {},
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.update(
        "knowledge-base",
        "pages",
        "<resource_id>",
        {
        "title": "your_title",
        "status": "draft",
        "parent": {},
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())